Bug 1996234 - Error on autossh package rpm scriptlet for systemd unit file
Summary: Error on autossh package rpm scriptlet for systemd unit file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autossh
Version: 34
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alexander Boström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-21 01:03 UTC by jon
Modified: 2021-09-24 20:10 UTC (History)
2 users (show)

Fixed In Version: autossh-1.4g-7.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-05 21:12:56 UTC
Type: Bug


Attachments (Terms of Use)

Description jon 2021-08-21 01:03:39 UTC
Description of problem:  rpm script error with systemd service unit file

Gives the following error on package install/uninstall:

Glob pattern passed to enable, but globs are not supported for this.
Invalid unit name "autossh@*.service" escaped as "autossh@\x2a.service".

Version-Release number of selected component (if applicable): current (1.4g-4.fc34)

And the systemd unit file doesn't appear to load:

$ systemctl daemon-reload
$ sudo systemctl status autossh
Unit autossh.service could not be found.

How reproducible: Always, same error on install as uninstall

Steps to Reproduce:
1.  dnf install autossh

Actual results:
Last metadata expiration check: 3:23:35 ago on Fri 20 Aug 2021 04:36:20 PM CDT.
Dependencies resolved.
================================================================================================================================
 Package                      Architecture                Version                             Repository                   Size
================================================================================================================================
Installing:
 autossh                      x86_64                      1.4g-4.fc34                         fedora                       36 k

Transaction Summary
================================================================================================================================
Install  1 Package

Total download size: 36 k
Installed size: 60 k
Is this ok [y/N]: y
Downloading Packages:
autossh-1.4g-4.fc34.x86_64.rpm                                                                  129 kB/s |  36 kB     00:00    
--------------------------------------------------------------------------------------------------------------------------------
Total                                                                                           127 kB/s |  36 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                        1/1 
  Running scriptlet: autossh-1.4g-4.fc34.x86_64                                                                             1/1 
  Installing       : autossh-1.4g-4.fc34.x86_64                                                                             1/1 
  Running scriptlet: autossh-1.4g-4.fc34.x86_64                                                                             1/1 
Glob pattern passed to enable, but globs are not supported for this.
Invalid unit name "autossh@*.service" escaped as "autossh@\x2a.service".

  Verifying        : autossh-1.4g-4.fc34.x86_64                                                                             1/1 

Installed:
  autossh-1.4g-4.fc34.x86_64                                                                                                    





Expected results:


Additional info:

Comment 1 Fedora Update System 2021-08-28 18:09:26 UTC
FEDORA-2021-4d42edf0fe has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4d42edf0fe

Comment 2 Fedora Update System 2021-08-28 18:21:20 UTC
FEDORA-2021-bf7f1bd2ad has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf7f1bd2ad

Comment 3 Fedora Update System 2021-08-28 18:31:27 UTC
FEDORA-2021-aec17fd6e2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aec17fd6e2

Comment 4 Alexander Boström 2021-08-28 18:33:52 UTC
I'm not entirely certain this is the correct solution, but I hope there at least will not be scriptlet failures.

Comment 5 Fedora Update System 2021-08-29 01:20:53 UTC
FEDORA-2021-bf7f1bd2ad has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bf7f1bd2ad`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf7f1bd2ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-08-29 02:00:49 UTC
FEDORA-2021-aec17fd6e2 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aec17fd6e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aec17fd6e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-29 17:51:46 UTC
FEDORA-2021-4d42edf0fe has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4d42edf0fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4d42edf0fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-05 21:12:56 UTC
FEDORA-2021-bf7f1bd2ad has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-09-05 21:26:59 UTC
FEDORA-2021-aec17fd6e2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-09-24 20:10:45 UTC
FEDORA-2021-4d42edf0fe has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.